Subject: Re: bug#519: emacs-cvs-23.0.9999 fails to compiler (gentoo)

From: Allan Gottlieb <[email-masked]>
Date: Wed, 02 Jul 2008 15:44:11 -0400

At Wed, 02 Jul 2008 17:25:22 +0100 Jason Rumney <[email-masked]> wrote:

> Allan Gottlieb wrote:
>
>> xfns.c: In function 'syms_of_xfns':
>> xfns.c:6075: error: 'Sx_select_font' undeclared (first use in this function)
>
> Thanks, I have fixed this. That line should only be compiled if both
> USE_GTK and HAVE_FREETYPE are defined, the latter condition was missing.

Thanks.  It compiled fine with the fix.  But then I noticed that
something is funny.  I do (and did) have freetype.  What I did not
have was the gentoo xft use flag set.

I set it and reran the emerge and again emacs-cvs compiled without
error.

Thanks for the fix (even though, had I correctly configured my flags,
I wouldn't have hit the bug) and thanks for all your and others work
on emacs.

allan